VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
ThreadChecker Class Referenceabstract

`#include <threadchecker.h>`

## Public Member Functions
virtual bool | test (const char *failmessage=nullptr, bool exit=false)=0
virtual | ~ThreadChecker () noexcept=default

## Static Public Member Functions
static std::unique_ptr< ThreadChecker > | create ()

## Constructor & Destructor Documentation

## ◆ ~ThreadChecker()

virtual ~ThreadChecker | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

## ◆ create()

static std::unique_ptr< ThreadChecker > create | ( |  | ) |
| static

## ◆ test()

virtual bool test | ( | const char * | failmessage = nullptr,
|  | bool | exit = false )
| pure virtual

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.